## quicktree 2.5

=== Makefile ===

BIN = .
SRC = ./src
INC = ./include
OBJ = .

COMMON = $(OBJ)/align.o \
	$(OBJ)/cluster.o \
	$(OBJ)/distancemat.o \
	$(OBJ)/options.o \
	$(OBJ)/util.o \
	$(OBJ)/sequence.o

QUICKTREEOBJ = $(COMMON) $(OBJ)/quicktree.o $(OBJ)/buildtree.o $(OBJ)/tree.o


CC	= gcc
CFLAGS  = -c -I$(INC) -O2 -Wunused-result

LFLAGS = -g 

all: quicktree

quicktree : $(QUICKTREEOBJ)
	$(CC) $(LFLAGS) -o $@ $(QUICKTREEOBJ) -lm

$(OBJ)/quicktree.o : $(SRC)/quicktree.c $(INC)/version.h
	$(CC) $(CFLAGS) -o $(OBJ)/quicktree.o $(SRC)/quicktree.c

$(OBJ)/align.o : $(SRC)/align.c $(INC)/align.h
	$(CC) $(CFLAGS) -o $(OBJ)/align.o $(SRC)/align.c

$(OBJ)/buildtree.o : $(SRC)/buildtree.c $(INC)/buildtree.h
	$(CC) $(CFLAGS) -o $(OBJ)/buildtree.o $(SRC)/buildtree.c

$(OBJ)/cluster.o : $(SRC)/cluster.c $(INC)/cluster.h
	$(CC) $(CFLAGS) -o $(OBJ)/cluster.o $(SRC)/cluster.c

$(OBJ)/distancemat.o : $(SRC)/distancemat.c $(INC)/distancemat.h
	$(CC) $(CFLAGS) -o $(OBJ)/distancemat.o $(SRC)/distancemat.c

$(OBJ)/sequence.o : $(SRC)/sequence.c $(INC)/sequence.h
	$(CC) $(CFLAGS) -o $(OBJ)/sequence.o $(SRC)/sequence.c

$(OBJ)/tree.o : $(SRC)/tree.c $(INC)/tree.h
	$(CC) $(CFLAGS) -o $(OBJ)/tree.o $(SRC)/tree.c

$(OBJ)/util.o : $(SRC)/util.c $(INC)/util.h
	$(CC) $(CFLAGS) -o $(OBJ)/util.o $(SRC)/util.c

$(OBJ)/options.o : $(SRC)/options.c $(INC)/options.h
	$(CC) $(CFLAGS) -o $(OBJ)/options.o $(SRC)/options.c

clean:
	rm $(OBJ)/*.o quicktree

=== debian/changelog ===
quicktree (2.5-5) unstable; urgency=medium

  * Team Upload.
  * Add autopkgtests
  * Install relevant examples
  * Fix spellings

 -- Nilesh Patra <npatra974@gmail.com>  Fri, 07 Aug 2020 16:37:52 +0530

quicktree (2.5-4) unstable; urgency=medium

  * Team upload
  * Source only upload

 -- Andreas Tille <tille@debian.org>  Tue, 07 Jul 2020 11:37:53 +0200

quicktree (2.5-3) unstable; urgency=medium

  * Team upload.
  * To enable removing quicktree source code copy from libsonlib package
    a static library is created here

 -- Andreas Tille <tille@debian.org>  Fri, 26 Jun 2020 20:21:40 +0200

quicktree (2.5-2) unstable; urgency=medium

  * Team upload.
  * debhelper-compat 13 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Fri, 12 Jun 2020 20:48:04 +0200

quicktree (2.5-1) unstable; urgency=medium

  * Initial release (Closes: #961375)

 -- Steffen Moeller <moeller@debian.org>  Sat, 23 May 2020 20:05:35 +0200

=== debian/control ===
Source: quicktree
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Build-Depends: debhelper-compat (= 13),
               help2man,
               dh-exec
Standards-Version: 4.5.0
Homepage: https://github.com/khowe/quicktree/
Vcs-Browser: https://salsa.debian.org/med-team/quicktree
Vcs-Git: https://salsa.debian.org/med-team/quicktree.git
Rules-Requires-Root: no

Package: quicktree
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: hmmer|hmmer2
Description: Neighbor-Joining algorithm for phylogenies
 QuickTree is an efficient implementation of the Neighbor-Joining
 algorithm (PMID: 3447015), capable of reconstructing phylogenies from
 huge alignments in time less than the age of the universe.
 .
 QuickTree accepts both distance matrix and multiple-sequence-aligment
 inputs. The former should be in PHYLIP format. The latter should be
 in Stockholm format, which is the native alignment format for the Pfam
 database. Alignments in various formats can be converted to Stockholm
 format with the sreformat program, which is part of the HMMer package
 (hmmer.org).
 .
 The tress are written to stdout, in the Newick/New-Hampshire format
 use by PHYLIP and many other programs

Package: libquicktree-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Neighbor-Joining algorithm for phylogenies (development)
 QuickTree is an efficient implementation of the Neighbor-Joining
 algorithm (PMID: 3447015), capable of reconstructing phylogenies from
 huge alignments in time less than the age of the universe.
 .
 QuickTree accepts both distance matrix and multiple-sequence-aligment
 inputs. The former should be in PHYLIP format. The latter should be
 in Stockholm format, which is the native alignment format for the Pfam
 database. Alignments in various formats can be converted to Stockholm
 format with the sreformat program, which is part of the HMMer package
 (hmmer.org).
 .
 The tress are written to stdout, in the Newick/New-Hampshire format
 use by PHYLIP and many other programs
 .
 This package contains some header files from quicktree that are used
 by other packages.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_build:
	sed -i 's/expexted/expected/' src/tree.c
	sed -i 's/optio\\n/option/' src/quicktree.c	
	dh_auto_build
	help2man -i debian/quicktree.htm --no-discard-stderr ./quicktree > quicktree.1

override_dh_auto_clean:
	dh_auto_clean
	rm -f quicktree.1

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%quicktree-$1.tar.gz%" \
   https://github.com/khowe/quicktree/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
